SystemOrganization addCategory: #'Orange-Application'!

ALApplication subclass: #ORExampleApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORExampleApplication commentStamp: 'chc 6/18/2015 08:19' prior: 0!
A verison of ALExampleApplication with menu addition angular and changes to form.

Execute to start: 

	| authenticator app | 
	authenticator := ALMemoryAuthenticator new. 
	authenticator register: 'chriscunnington'
 					username: 'brasspen'
 					password: 'glassglobe9'.

	app := ORExampleApplication new.
	app addFactory: [:term | ORAuthenticationRelay destination: term
						authenticator: authenticator 
						shunt: nil].
	(ALServer on: 8624 application: app) start 


	!

!ORExampleApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/18/2015 08:30'!
initializeLocator
	locator 
		at: ALPath root 
		put: ORExamplePage new asResource.
	"a simple authentication to password protect ALCounterExample"
	locator 
		at: ALPath root / 'admin'
		put: (ORBasicAuthResource component: (ALCounterExample new)).
	"a page listing the mcz files in the package cache"
	locator 
		at: ALPath root / 'source'
		put: (ORUploadResource component: ORDirectoryContents new)
	! !

ALApplication subclass: #ORHelloWorldApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORHelloWorldApplication commentStamp: 'chc 6/17/2015 15:07' prior: 0!
Execute to start:  

	|app|
	app := ORHelloWorldApplication new.
	(ALServer on: 8624 application: app) start

!

!ORHelloWorldApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:50'!
initializeLocator
	locator 
		at: ALPath root 
		put: ORHead new asResource
	
		! !

ALApplication subclass: #ORSimplerHelloWorldApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Orange-Application'!

!ORSimplerHelloWorldApplication commentStamp: 'chc 6/17/2015 15:07' prior: 0!
Execute to start: 
	
	|app|
	app := ORSimplerHelloWorldApplication new.
	(ALServer on: 8624 application: app) start

!

!ORSimplerHelloWorldApplication methodsFor: 'as yet unclassified' stamp: 'chc 6/17/2015 10:58'!
initializeLocator
	locator 
		at: ALPath root 
		put: (ALHtmlResource component: ORSimplerHelloWorldPage new)

		! !
